SoXtTransformSliderSet(3IV)

NAME
SoXtTransformSliderSet — component with Motif sliders for editing SoTransform nodes

INHERITS FROM
SoXtComponent > SoXtSliderSetBase > SoXtSliderSet > SoXtTransformSliderSet

SYNOPSIS
#include <Inventor/Xt/SoXtTransformSliderSet.h>

Methods from class SoXtTransformSliderSet:

SoXtTransformSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtTransformSliderSet()

Methods from class SoXtSliderSetBase:

virtual void
setNode(SoNode *newNode)
SoNode *
getNode() const

Methods from class SoXtComponent:

virtual void
show()
virtual void
hide()
SbBool
isVisible()
Widget
getWidget() const
SbBool
isTopLevelShell() const
Widget
getShellWidget() const
Widget
getParentWidget() const
void
setSize(const SbVec2s &size)
SbVec2s
getSize()
Display *
getDisplay()
void
setTitle(const char *newTitle)
const char *
getTitle() const
void
setIconTitle(const char *newIconTitle)
const char *
getIconTitle() const
void
setWindowCloseCallback(SoXtComponentCB *func, void *data = NULL)
static SoXtComponent *
getComponent(Widget w)
const char *
getWidgetName() const
const char *
getClassName() const

DESCRIPTION
This class defines an editor that uses Motif Sliders to edit fields in an SoTransform node. There are sliders for editing the translation, scale, rotation, and transform center.

METHODS

SoXtTransformSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtTransformSliderSet()
Constructor and destructor. At construction time the transform node to edit can be supplied.

SEE ALSO
SoXtSliderSet, SoXtSliderSetBase, SoXtComponent, SoTransform, SoNode